Ubuntu 安装 shadowsocks-qt5 并设置 PAC 代理

本文介绍如何在 Ubuntu 上安装 shadowsocks-qt5 客户端。

安装ss-qt5

要求 ubuntu 14.04 以上

add-apt-repository ppa:hzwhuang/ss-qt5
apt-get update
apt-get install shadowsocks-qt5

配置略。

Genpac

安装&升级&卸载

pip install genpac
pip install --upgrade genpac
pip uninstall genpac

配置

genpac -p "SOCKS5 127.0.0.1:1080" --gfwlist-proxy="PROXY 127.0.0.1:8087" --output="Softwares/genpac/autoproxy.pac"

注:

  • gfwlist-proxyoutput请根据自己实际情况修改,前者也可SOCKS5 127.0.0.1:1080
  • --gfwlist-url="https://raw.githubusercontent.com/gfwlist/gfwlist/master/gfwlist.txt"

    说明

https://github.com/JinnLynn/GenPAC

为系统设置代理

使用刚刚生成的pac文件。